Subject: Re: sysfs vs. d80211 configuration

From: Johannes Berg <[email-masked]>
Date: Tue, 15 Aug 2006 09:41:09 +0200

Alexey Toptygin wrote:
> Why not have the tool create a monitor interface, open it, and fork; 
> the child drops privileges and does the reading, and the parent 
> wait(2)s for the child and removes the interface once it has collected 
> the child?
Good point, that'll work. Then again, I want this to run on really tiny 
architectures and I'm thinking some of them might not have fork(), just 
vfork(). Hmm.

johannes